%define oname   actionpack

%define subrel  1

Name:       ruby-%{oname}
Version:    2.3.11
Release:    %mkrel 1
Summary:    Web-flow and rendering framework putting the VC in MVC
Group:      Development/Ruby
License:    MIT
URL:        http://www.rubyonrails.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
# taken from upstream http://groups.google.com/group/rubyonrails-security/browse_thread/thread/2b9130749b74ea12
Patch0:     2-3-stable-fix-strip-tags-CVE-2011-2931.patch
# taken from upstream http://groups.google.com/group/rubyonrails-security/browse_thread/thread/6ffc93bde0298768
Patch1:     2-3-response_splitting-CVE-2011-3186.diff
BuildRequires: rubygems
BuildRequires: rubygem(activerecord) = %{version}
BuildRequires: rubygem(rack) >= 1.1.0
BuildArch:  noarch

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on enabling
easy unit/integration testing that doesn't require a browser.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p2 -b .2-3-stable-fix-strip-tags-CVE-2011-2931
%patch1 -p2 -b .2-3-response_splitting-CVE-2011-3186

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog

* Thu Sep 08 2011 doktor5000 <doktor5000> 2.3.11-1.1.mga1
+ Revision: 141450
- fix CVE-2011-2931 (2-3-stable-fix-strip-tags-CVE-2011-2931.patch)
- fix CVE-2011-3186 (2-3-response_splitting-CVE-2011-3186.diff)

* Fri Feb 11 2011 shikamaru <shikamaru> 2.3.11-1.mga1
+ Revision: 50620
- new version 2.3.11

* Sun Jan 23 2011 shikamaru <shikamaru> 2.3.10-3.mga1
+ Revision: 33994
- imported package ruby-actionpack


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.3.10-3mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Thu Dec 09 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-2mdv2011.0
+ Revision: 618261
- add provides to fix rails dependencies

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 2.3.10-1mdv2011.0
+ Revision: 585833
- bump release & fix url

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.3.9-1mdv2011.0
+ Revision: 579505
- new release: 2.3.9

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.4-1mdv2010.0
+ Revision: 438624
- Update to new version 2.3.4

* Wed Jul 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.3.3-1mdv2010.0
+ Revision: 404439
- Update to new version 2.3.3

* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 385324
- Update to 2.1.2.

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.1.0-2mdv2009.0
+ Revision: 269227
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214639
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.13.3-1mdv2008.0
+ Revision: 17565
- 1.13.3
- drop Patch0 (fixed upstream)

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 1.12.5-2mdv2008.0
+ Revision: 16670
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.12.5-1mdv2007.0
+ Revision: 84899
- Patch0: fix rdoc generation (from upstream trac)
- 1.12.5
- Import ruby-actionpack

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.12.3-1mdv2007.0
- 1.12.3

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-3mdk
- Ship the gemspec

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-2mdk
- Don't ship too much ri, else we get conflicts

* Sun Feb 12 2006 Pascal Terjan <pterjan@mandriva.org> 1.11.2-1mdk
- First Mandriva release

